
Application: gvSIG desktop - gvSIG bugs #1980
Symbology: changes in a layer take effect also in the active(s) layer(s)
07/29/2013 11:03 AM - Manuel Madrid

Status: Invalid % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Symbology
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1. Load two vector layers of the same type (pol, lin or pt)
2. Set one of them as active
3. Doble click on the symbol of the other one
4. Edit the symbol and accept
5. Check that the new symbol take effect in both the edited layer and the active layer

Proposed behavior:

1. When doble click is done on one of the active layers, changes should take effect in all the active layers.
2. When doble click is done on a not-active layer, changes should take effect only in it.

Originaly reported in #256

History
#1 - 07/29/2013 11:06 AM - Manuel Madrid
- Assignee set to Ignacio Brodín
- Priority changed from Normal to High

#2 - 01/16/2014 12:01 PM - Álvaro Anguix
- Assignee changed from Ignacio Brodín to Juan Lucas Domínguez

#3 - 01/16/2014 12:23 PM - Álvaro Anguix
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2218-testing

#4 - 01/16/2014 12:49 PM - Juan Lucas Domínguez
- Status changed from New to Invalid

This is not a bug. It's the expected behavior. One is changed because the user clicked on it, and the others are changed IF they are active AND are of
the same geometry type.

You can add this as a feature request.
#5 - 01/16/2014 04:24 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2218-testing to 2.1.0-2223-rc1

#6 - 01/20/2014 06:18 PM - Álvaro Anguix
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2218-testing

#7 - 01/21/2014 09:27 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2218-testing to 2.1.0-2217-devel
